DB_ENV->mutex_get_max()
Prev | Chapter 9. Mutex Methods | Next

## DB_ENV->mutex_get_max()

    #include <db.h>

    int
    DB_ENV->mutex_get_max(DB_ENV *dbenv, u_int32_t *maxp);

The `DB_ENV->mutex_get_max()` method returns the total number of mutexes allocated.

The `DB_ENV->mutex_get_max()` method may be called at any time during the life of the application.

The `DB_ENV->mutex_get_max()` method returns a non-zero error value on failure and 0 on success.

### Parameters

#### maxp

The `DB_ENV->mutex_get_max()` method returns the total number of mutexes allocated in maxp.

### Class

DB_ENV

### See Also

Mutex Methods

Prev | Up | Next
DB_ENV->mutex_get_increment() | Home | DB_ENV->mutex_get_tas_spins()